
#auth {
    position: absolute;
    top: 2vw;
    right: 42vw;
    font-weight: 700;
    font-size: 1.25vw;
    line-height: 1.51vw;
    
    /* Main colors/Main blue */
    
    color: #6157FF;


}



.wrapper {
    display: flex;

    width: 100%;
    height: 100%;
}


.second-bg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.bg-block {
    border-radius: 3.97vw 0 0 3.97vw;
    width: 40vw;
    height: 102vh;
    left: 60vw;
    overflow: hidden;
    position: fixed;
    top: -1vh;
}


.main {
    margin: 5% 0;

    display: flex;
    flex-direction: column;

    width: 60%;
}

.main > h1 {
    font-weight: 700;
    font-size: 2.51vw;

    margin-bottom: 1.5vw;

    text-align: center;
    
    /* Main colors/Main back */
    
    color: #060606;    
}

.main > h3 {
    font-weight: 500;
    font-size: 1.06vw;
    /* or 24px */
    
    text-align: center;
    letter-spacing: 0.02em;
    
    /* Main colors/Main back */
    
    color: #060606;    
}



.main__block {
    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 2vw;
    margin-top: 3vw;
}


.input-block {
    display: flex;
    flex-direction: column;
    gap: 2%;
}

.input-block > p {
    margin-bottom: 0.88vw;

    font-weight: 600;
    font-size: 1.19vw;
    line-height: 1.46vw;
    /* identical to box height */
    
    
    /* Grey/grey_4 */
    
    color: #BDC0CE;
}

.input-block > input {
    display: flex;
    flex-direction: row;
    align-items: center;

    padding: 1.98vw 2.51vw;
    gap: 0.66vw;
    
    width: 39.81vw;
    height: 5.42vw;
    
    /* Grey/grey_5 */
    
    background: #E3E9F7;
    border-radius: 1.06vw;


    font-weight: 600;
    font-size: 1.19vw;
    line-height: 1.46vw;

    color: #060606;

    border: none;
    outline: none;
}

.input-block > input::placeholder {
    color: #7E8494;
}


.input-block > .input__footer {
    margin-top: 1vw;

    display: flex;
    justify-content: space-between;

    width: 39.81vw;
    height: 1.67vw;
}

.input__footer > .footer-block {
    display: flex;
    align-items: flex-end;
    gap: 1vw;
}

.footer-block > label {
    font-weight: 600;
    font-size: 1.04vw;
    line-height: 1.25vw;

    /* Main colors/Main back */

    color: #060606;
}

.input__footer > a {
    font-weight: 600;
    font-size: 1.04vw;
    line-height: 1.25vw;

    /* Main colors/Main blue */
    
    color: #6157FF;
    
}

/* checkbox */

.checkbox-container {
    display: block;
    position: relative;
    cursor: pointer;
    font-size: 1.15vw;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    height: 1.30vw;
    width: 1.30vw;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkbox-container input ~ .checkmark {
    background-color: #E3E9F7;
    border-radius: 0.44vw;
}


.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 1.30vw;
    width: 1.30vw;
    background-color: #eee;
}

.checkbox-container input:checked ~ .checkmark {
    background-color: #6157FF;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}


.checkbox-container input:checked ~ .checkmark:after {
    display: block;
}

.checkbox-container .checkmark:after {
    left: 0.47vw;
    top: 0.26vw;
    width: 0.26vw;
    height: 0.52vw;
    border: solid white;
    border-width: 0 0.10vw 0.10vw 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}



.main__footer {
    margin-top: 4vw;

    display: flex;
    align-items: center;
    justify-content: center;

    flex-direction: column;
    gap: 1.04vw;
}

.main__footer > button {
    font-weight: 700;
    font-size: 1.25vw;
    line-height: 1.51vw;
    
    /* Main colors/Main white */
    
    color: #FAFAFA;

    width: 39.81vw;
    height: 4.01vw;
    
    /* Main colors/Main blue */
    
    background: #6157FF;
    border-radius: 2.19vw;

    border: none;
    outline: none;
}

.main__footer > .footer__info {
    display: flex;
}

.footer__info > p {
    font-weight: 600;
    font-size: 1.04vw;
    line-height: 1.25vw;
    
    /* Grey/grey_3 */
    
    color: #7E8494;    
}

.footer__info > a {
    font-weight: 600;
    font-size: 1.04vw;
    line-height: 1.25vw;
    
    /* Main colors/Main blue */
    
    color: #6157FF;
}

.c {
    margin-top: 5vw;

    text-align: center;
    font-weight: 600;
    font-size: 1.04vw;
    line-height: 1.25vw;
    
    /* Grey/grey_4 */
    
    color: #BDC0CE;
}


.main__footer > .info-block {
    display: flex;
    gap: 2vw;
    margin-top: 1vw;
}


.main__footer > .info-block > .element {
    display: flex;
    flex-direction: column;
    gap: .5vw;
}

.main__footer > .info-block > .element > .p1 {
    font-weight: 500;
    font-size: 0.73vw;
    line-height: 0.89vw;

    color: #7E8494;
}

.main__footer > .info-block > .element > .p2 {
    font-weight: 700;
    font-size: 1vw;
    line-height: 1.51vw;
    
    color: #060606;
}

.main__footer > .info-block > .element > .footer {
    display: flex;
    align-items: center;
    gap: .7vw;
}

.main__footer > .info-block > .element > .footer > img {
    width: .9vw;
    height: .9vw;
}


.main__footer > .info-block > .element > .footer > p {
    font-weight: 600;
    font-size: 0.8vw;
    line-height: .9vw;

    color: #BDC0CE;
}